| LibDriver MPU9250 1.0.0 MPU9250 full function driver

Functions
mpu9250 test driver function
mpu9250 driver function

mpu9250 test driver modules More...

## Functions
uint8_t | mpu9250_dmp_pedometer_test_irq_handler (void)
| dmp pedometer test irq More...
uint8_t | mpu9250_dmp_pedometer_test (mpu9250_interface_t interface, mpu9250_address_t addr, uint32_t times)
| dmp pedometer test More...
uint8_t | mpu9250_dmp_read_test_irq_handler (void)
| dmp read test irq More...
uint8_t | mpu9250_dmp_read_test (mpu9250_interface_t interface, mpu9250_address_t addr, uint32_t times)
| dmp read test More...
uint8_t | mpu9250_dmp_tap_orient_motion_test_irq_handler (void)
| dmp tap orient motion test irq More...
uint8_t | mpu9250_dmp_tap_orient_motion_test (mpu9250_interface_t interface, mpu9250_address_t addr)
| dmp test More...
uint8_t | mpu9250_fifo_test_irq_handler (void)
| fifo test irq More...
uint8_t | mpu9250_fifo_test (mpu9250_interface_t interface, mpu9250_address_t addr, uint32_t times)
| fifo test More...
uint8_t | mpu9250_read_test (mpu9250_interface_t interface, mpu9250_address_t addr, uint32_t times)
| read test More...
uint8_t | mpu9250_register_test (mpu9250_interface_t interface, mpu9250_address_t addr)
| register test More...

## Detailed Description

mpu9250 test driver modules

## Function Documentation

## ◆ mpu9250_dmp_pedometer_test()

uint8_t mpu9250_dmp_pedometer_test | ( | mpu9250_interface_t | interface,
|  | mpu9250_address_t | addr,
|  | uint32_t | times
| ) |  |

dmp pedometer test

Parameters

  [in] | interface | is the used interface
  [in] | addr | is the iic device address
  [in] | times | is the test times

Returns
  status code
  - 0 success
  - 1 test failed

Note
  don't support spi interface

Definition at line 79 of file driver_mpu9250_dmp_pedometer_test.c.

## ◆ mpu9250_dmp_pedometer_test_irq_handler()

uint8_t mpu9250_dmp_pedometer_test_irq_handler | ( | void |  | ) |

dmp pedometer test irq

Returns
  status code
  - 0 success
  - 1 run failed

Note
  none

Definition at line 57 of file driver_mpu9250_dmp_pedometer_test.c.

## ◆ mpu9250_dmp_read_test()

uint8_t mpu9250_dmp_read_test | ( | mpu9250_interface_t | interface,
|  | mpu9250_address_t | addr,
|  | uint32_t | times
| ) |  |

dmp read test

Parameters

  [in] | interface | is the used interface
  [in] | addr | is the iic device address
  [in] | times | is the test times

Returns
  status code
  - 0 success
  - 1 test failed

Note
  don't support spi interface

Definition at line 79 of file driver_mpu9250_dmp_read_test.c.

## ◆ mpu9250_dmp_read_test_irq_handler()

uint8_t mpu9250_dmp_read_test_irq_handler | ( | void |  | ) |

dmp read test irq

Returns
  status code
  - 0 success
  - 1 run failed

Note
  none

Definition at line 57 of file driver_mpu9250_dmp_read_test.c.

## ◆ mpu9250_dmp_tap_orient_motion_test()

uint8_t mpu9250_dmp_tap_orient_motion_test | ( | mpu9250_interface_t | interface,
|  | mpu9250_address_t | addr
| ) |  |

dmp test

Parameters

  [in] | interface | is the used interface
  [in] | addr | is the iic device address

Returns
  status code
  - 0 success
  - 1 test failed

Note
  don't support spi interface

Definition at line 231 of file driver_mpu9250_dmp_tap_orient_motion_test.c.

## ◆ mpu9250_dmp_tap_orient_motion_test_irq_handler()

uint8_t mpu9250_dmp_tap_orient_motion_test_irq_handler | ( | void |  | ) |

dmp tap orient motion test irq

Returns
  status code
  - 0 success
  - 1 run failed

Note
  none

Definition at line 58 of file driver_mpu9250_dmp_tap_orient_motion_test.c.

## ◆ mpu9250_fifo_test()

uint8_t mpu9250_fifo_test | ( | mpu9250_interface_t | interface,
|  | mpu9250_address_t | addr,
|  | uint32_t | times
| ) |  |

fifo test

Parameters

  [in] | interface | is the used interface
  [in] | addr | is the iic device address
  [in] | times | is the test times

Returns
  status code
  - 0 success
  - 1 test failed

Note
  none

Definition at line 77 of file driver_mpu9250_fifo_test.c.

## ◆ mpu9250_fifo_test_irq_handler()

uint8_t mpu9250_fifo_test_irq_handler | ( | void |  | ) |

fifo test irq

Returns
  status code
  - 0 success
  - 1 run failed

Note
  none

Definition at line 55 of file driver_mpu9250_fifo_test.c.

## ◆ mpu9250_read_test()

uint8_t mpu9250_read_test | ( | mpu9250_interface_t | interface,
|  | mpu9250_address_t | addr,
|  | uint32_t | times
| ) |  |

read test

Parameters

  [in] | interface | is the used interface
  [in] | addr | is the iic device address
  [in] | times | is the test times

Returns
  status code
  - 0 success
  - 1 test failed

Note
  none

Definition at line 51 of file driver_mpu9250_read_test.c.

## ◆ mpu9250_register_test()

uint8_t mpu9250_register_test | ( | mpu9250_interface_t | interface,
|  | mpu9250_address_t | addr
| ) |  |

register test

Parameters

  [in] | interface | is the used interface
  [in] | addr | is the iic device address

Returns
  status code
  - 0 success
  - 1 test failed

Note
  none

Definition at line 51 of file driver_mpu9250_register_test.c.